GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes
vtkGDCMPolyDataWriter Class Reference

`#include <vtkGDCMPolyDataWriter.h>`

Collaboration diagram for vtkGDCMPolyDataWriter:
[legend]

List of all members.

## Public Member Functions

void | InitializeRTStructSet (vtkStdString inDirectory, vtkStdString inStructLabel, vtkStdString inStructName, vtkStringArray *inROINames, vtkStringArray *inROIAlgorithmName, vtkStringArray *inROIType)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetMedicalImageProperties (vtkMedicalImageProperties *pd)
void | SetNumberOfInputPorts (int n)
virtual void | SetRTStructSetProperties (vtkRTStructSetProperties *pd)
| vtkTypeRevisionMacro (vtkGDCMPolyDataWriter, vtkPolyDataWriter)

## Static Public Member Functions

static vtkGDCMPolyDataWriter * | New ()

## Protected Member Functions

| vtkGDCMPolyDataWriter ()
| ~vtkGDCMPolyDataWriter ()
void | WriteData ()
void | WriteRTSTRUCTData (gdcm::File &file, int num)
void | WriteRTSTRUCTInfo (gdcm::File &file)

## Protected Attributes

vtkMedicalImageProperties * | MedicalImageProperties
vtkRTStructSetProperties * | RTStructSetProperties

## Detailed Description

Examples:
  GenerateRTSTRUCT.cxx, and rtstructapp.cxx.

## Constructor & Destructor Documentation

vtkGDCMPolyDataWriter::vtkGDCMPolyDataWriter | ( |  | ) | `[protected]`

vtkGDCMPolyDataWriter::~vtkGDCMPolyDataWriter | ( |  | ) | `[protected]`

## Member Function Documentation

void vtkGDCMPolyDataWriter::InitializeRTStructSet | ( | vtkStdString | inDirectory,
|  | vtkStdString | inStructLabel,
|  | vtkStdString | inStructName,
|  | vtkStringArray * | inROINames,
|  | vtkStringArray * | inROIAlgorithmName,
|  | vtkStringArray * | inROIType
| ) |  |

Examples:
  GenerateRTSTRUCT.cxx.

static vtkGDCMPolyDataWriter* vtkGDCMPolyDataWriter::New | ( |  | ) | `[static]`

Examples:
  GenerateRTSTRUCT.cxx, and rtstructapp.cxx.

virtual void vtkGDCMPolyDataWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  | `[virtual]`

virtual void vtkGDCMPolyDataWriter::SetMedicalImageProperties | ( | vtkMedicalImageProperties * | pd | ) | `[virtual]`

Examples:
  GenerateRTSTRUCT.cxx, and rtstructapp.cxx.

void vtkGDCMPolyDataWriter::SetNumberOfInputPorts | ( | int | n | ) |

Examples:
  GenerateRTSTRUCT.cxx, and rtstructapp.cxx.

virtual void vtkGDCMPolyDataWriter::SetRTStructSetProperties | ( | vtkRTStructSetProperties * | pd | ) | `[virtual]`

Examples:
  GenerateRTSTRUCT.cxx, and rtstructapp.cxx.

vtkGDCMPolyDataWriter::vtkTypeRevisionMacro | ( | vtkGDCMPolyDataWriter | ,
|  | vtkPolyDataWriter |
| ) |  |

void vtkGDCMPolyDataWriter::WriteData | ( |  | ) | `[protected]`

void vtkGDCMPolyDataWriter::WriteRTSTRUCTData | ( | gdcm::File & | file,
|  | int | num
| ) |  | `[protected]`

void vtkGDCMPolyDataWriter::WriteRTSTRUCTInfo | ( | gdcm::File & | file | ) | `[protected]`

## Member Data Documentation

vtkMedicalImageProperties* vtkGDCMPolyDataWriter::MedicalImageProperties`[protected]`

vtkRTStructSetProperties* vtkGDCMPolyDataWriter::RTStructSetProperties`[protected]`

The documentation for this class was generated from the following file:

- vtkGDCMPolyDataWriter.h